RubyGems Navigation menu

buildr 1.5.8

Apache Buildr is a build system for Java-based applications, including support for Scala, Groovy and a growing number of JVM languages and tools. We wanted something that's simple and intuitive to use, so we only need to tell it what to do, and it takes care of the rest. But also something we can easily extend for those one-off tasks, with a language that's a joy to use.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.5.8 - July 14, 2019 (1.57 MB)
  2. 1.5.8 - July 14, 2019 x86-mswin32 (1.57 MB)
  3. 1.5.8 - July 14, 2019 java (1.57 MB)
  4. 1.5.7 - February 16, 2019 java (1.57 MB)
  5. 1.5.7 - February 16, 2019 x86-mswin32 (1.57 MB)
Show all versions (157 total)

Runtime Dependencies (12):

atoulme-Antwrap = 0.7.5
builder = 3.2.2
bundler >= 0
diff-lcs = 1.2.5
json_pure = 1.8.3
minitar = 0.5.4
net-sftp = 2.1.2
net-ssh = 3.1.1
rake = 0.9.2.2
rjb = 1.5.4
rubyzip = 1.2.0
xml-simple = 1.1.5

Development Dependencies (18):

atoulme-Saikuro = 1.2.1
ci_reporter = 1.9.0
hoe = 3.15.1
jekyll = 3.1.3
jekylltask = 1.1.0
pygmentize = 0.0.3
pygments.rb = 0.6.3
rdoc = 4.2.2
RedCloth = 4.2.9
rspec = 2.14.1
rspec-core = 2.14.5
rspec-mocks = 2.14.3
rspec-retry = 0.2.1
saikuro_treemap = 0.2.0
test-unit = 3.2.1
zapwhite = 2.14.0

Owners:

Pushed by:

Authors:

  • Apache Buildr

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 1,760,538

For this version 45,247

License:

Apache-2.0

Required Ruby Version: >= 0

Required Rubygems Version: >= 1.8.6

Links: